package com.xydl.cac.repository;

import com.xydl.cac.entity.Rptparamindex;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface RptparamindexRepository extends JpaRepository<Rptparamindex, String>, JpaSpecificationExecutor<Rptparamindex> {

    List<Rptparamindex> findAllByEqmid(Integer eqmid);

    List<Rptparamindex> findAllByEqmidInAndColnameIsNotNullAndTablenameIsNotNull(List<Integer> eqmidList);

    List<Rptparamindex> findAllByParamindexStartingWith(String param);

    List<Rptparamindex> findAllByParamindexEquals(String param);

    List<Rptparamindex> findAllByParamindexEqualsAndEqmidIsNotNullAndTablenameIsNotNullAndColnameIsNotNull(String paramindex);

}